/*
 * Author Chasel Li
 * Date: 2014.5.27
 * Description:
 *      主页面tab生成逻辑
 **/

$(function(){
//    $("#menus a").click(function(){
//        addTab($(this));
//    });
});

/**
 * 创建新选项卡
 * @param id    选项卡id
 * @param title    选项卡标题
 * @param url      选项卡远程调用路径
 */
function addTab(id,title,url){
    //如果当前id的tab不存在则创建一个tab
    //debugger;
//	var content = '<iframe name="'+name+'" id="iframe" src="'+url+'" width="100%"  frameborder="0" scrolling="none"  onload="setHeight()"></iframe>'
//	$("#main_con1").html($(content));
//	document.body.clientHeight;
	var targetObj=$("#"+id);
    if(targetObj.html()==null||targetObj.html==""){
        var name = 'iframe_'+id;
        var content = '<iframe name="'+name+'"id="'+id+'"src="'+url+'" width="100%" height="1000px" frameborder="0" scrolling="none" ></iframe>'
        $('#centerTab').tabs('add',{
            title: title,
            closable:true,
            cache : false,
            //注：使用iframe即可防止同一个页面出现js和css冲突的问题
            content : content
        });
    } else {
        $('#centerTab').tabs('select', title);
    }
}
function setHeight(){
	 document.getElementById("iframe").height=0;  
      document.getElementById("iframe").height=document.documentElement.clientHeight;
}